Last Comment Bug 170924 - Preview sound should be "listen" or play
: Preview sound should be "listen" or play
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.1b3
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-26 02:14 PDT by Henrik Gemal
Modified: 2011-03-29 12:46 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Changed the button's lable from "Preview" to "Listen". (1.47 KB, patch)
2011-03-14 18:39 PDT, Edmund Wong (:ewong)
iann_bugzilla: review-
Details | Diff | Splinter Review
Changed the Preview Sound to "Listen To" for Mail Notification and Download Notification. (6.51 KB, patch)
2011-03-16 07:54 PDT, Edmund Wong (:ewong)
iann_bugzilla: review+
Details | Diff | Splinter Review
Changed 'Preview' to 'Listen' (14.71 KB, patch)
2011-03-18 18:15 PDT, Edmund Wong (:ewong)
iann_bugzilla: review+
neil: ui‑review-
Details | Diff | Splinter Review
Changed the Preview Sound to "Play" for Mail Notification and Download Notification. (6.48 KB, patch)
2011-03-24 07:32 PDT, Edmund Wong (:ewong)
iann_bugzilla: review-
Details | Diff | Splinter Review
Changed the Preview Sound to "Play" for Popups, Mail Notification and Download Notification. (v5) (9.76 KB, patch)
2011-03-27 06:56 PDT, Edmund Wong (:ewong)
no flags Details | Diff | Splinter Review
Changed the Preview Sound to "Play" for Popups, Mail Notification and Download Notification and their respective help. (v6) (13.00 KB, patch)
2011-03-27 07:15 PDT, Edmund Wong (:ewong)
iann_bugzilla: review+
Details | Diff | Splinter Review
Changed 'Preview buton' to "Play" button. (v7) [Checkin: comment 23] (8.32 KB, patch)
2011-03-27 20:23 PDT, Edmund Wong (:ewong)
ewong: review+
neil: ui‑review+
Details | Diff | Splinter Review

Description Henrik Gemal 2002-09-26 02:14:05 PDT
In the prefs for mail sound we current have a button named "Preview". Preview a
sound. Why not label it for what it actually does. "Listen"

20020924
Comment 1 Malcolm Rowe 2002-09-26 03:17:38 PDT
'Listen' is a bad choice because it changes the object of the sentence from the 
sound, to the user.

e.g., You don't 'Listen' (verb) a sound (object), you (object) listen *to* 
(verb) a sound.

Generally, action should relate directly to the object, so 'Preview' (verb) 
the 'sound' (object) works ok from that point of view.

'Play' would be an less-ambigous alternative, though.
Comment 2 Alex Bishop 2002-09-26 10:14:23 PDT
I like 'Play'.
Comment 3 Lasse Marøen 2002-09-26 12:30:58 PDT
How about a graphic button instead? The 'play' arrow has to be one of the most
easily recognized symbols, and it would also mean one less word to translate.
Windows has this for previewing system sounds.
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2005-11-04 05:18:13 PST
does 3 votes for play morph the bug to "play"? :)
Comment 5 Patrick 2008-07-31 10:00:02 PDT
Henrik, are you still seeing this? Shredder/Thunderbird on OS X has had a button labeled "Play button for quite a while now?
Comment 6 Wayne Mery (:wsmwk, NI for questions) 2011-03-12 11:59:26 PST
WFM per comment 5
Comment 7 Philip Chee 2011-03-13 04:48:22 PDT
Should you move this bug to Thunderbird then since in SeaMonkey 2.1b3pre, it is still "Preview"?
Comment 8 Wayne Mery (:wsmwk, NI for questions) 2011-03-13 19:40:10 PDT
I goofed :(
Comment 9 Philip Chee 2011-03-14 08:44:26 PDT
Edmund, you seem to like simple preference bugs ;-)
Comment 10 Edmund Wong (:ewong) 2011-03-14 18:39:25 PDT
Created attachment 519302 [details] [diff] [review]
Changed the button's lable from "Preview" to "Listen".
Comment 11 Ian Neal 2011-03-15 07:35:55 PDT
Comment on attachment 519302 [details] [diff] [review]
Changed the button's lable from "Preview" to "Listen".

If we are going to change it here, we should change it in the downloads pane too.
Need to update the help pages too.
r- due to need to review changes to new files.
Comment 12 Edmund Wong (:ewong) 2011-03-16 07:54:24 PDT
Created attachment 519655 [details] [diff] [review]
Changed the Preview Sound to "Listen To" for Mail Notification and Download Notification.
Comment 13 Ian Neal 2011-03-16 15:11:07 PDT
Comment on attachment 519655 [details] [diff] [review]
Changed the Preview Sound to "Listen To" for Mail Notification and Download Notification.

Why the change to "Listen to"? It was fine with "Listen".
We only have "Browse" not "Browse for", so I see no reason for "Listen to"

If you're not going to do the help here, please create a bug for it instead.

r=me with that explained/fixed and some information about what is happening with the help.
Comment 14 Edmund Wong (:ewong) 2011-03-18 18:15:10 PDT
Created attachment 520374 [details] [diff] [review]
Changed 'Preview' to 'Listen'
Comment 15 neil@parkwaycc.co.uk 2011-03-22 02:35:51 PDT
Comment on attachment 520374 [details] [diff] [review]
Changed 'Preview' to 'Listen'

I don't think Listen is right.

I'd be happy with Play though, with or without an icon.
Comment 16 Edmund Wong (:ewong) 2011-03-24 07:32:50 PDT
Created attachment 521492 [details] [diff] [review]
Changed the Preview Sound to "Play" for Mail Notification and Download Notification.
Comment 17 Ian Neal 2011-03-25 02:09:30 PDT
Comment on attachment 521492 [details] [diff] [review]
Changed the Preview Sound to "Play" for Mail Notification and Download Notification.

Good apart from the fact you have forgotten the popup prefs and the help pages in this patch. r- so I can look at complete patch.
Comment 18 Edmund Wong (:ewong) 2011-03-27 06:56:46 PDT
Created attachment 522203 [details] [diff] [review]
Changed the Preview Sound to "Play" for Popups, Mail Notification and Download Notification. (v5)
Comment 19 Edmund Wong (:ewong) 2011-03-27 07:15:03 PDT
Created attachment 522205 [details] [diff] [review]
Changed the Preview Sound to "Play" for Popups, Mail Notification and Download Notification and their respective help. (v6)
Comment 20 Ian Neal 2011-03-27 14:00:35 PDT
Comment on attachment 522205 [details] [diff] [review]
Changed the Preview Sound to "Play" for Popups, Mail Notification and Download Notification and their respective help. (v6)

>+++ b/suite/common/pref/pref-popups.xul

>+        <button id="playSound"
>+                label="&playSound.label;"
>+                accesskey="&playSound.accesskey;"
>                 preference="pref.advanced.popups.disable_button.preview_sound"
>+                oncommand="PlaySound();"/>

>+++ b/suite/locales/en-US/chrome/common/pref/pref-popups.dtd

> <!ENTITY playSound.accesskey            "P">
> <!ENTITY systemSound.label              "System beep">
> <!ENTITY systemSound.accesskey          "S">
> <!ENTITY customSound.label              "Custom sound file">
> <!ENTITY customSound.accesskey          "C">
> 
> <!ENTITY selectSound.label              "Browse…">
> <!ENTITY selectSound.accesskey          "o">
>+<!ENTITY playSound.label                "Play">
>+<!ENTITY playSound.accesskey            "l">

These clash with the label/accesskey for the checkbox, perhaps playSoundButton.label/accesskey

r=me with that fixed.
Comment 21 Edmund Wong (:ewong) 2011-03-27 20:23:32 PDT
Created attachment 522277 [details] [diff] [review]
Changed 'Preview buton' to "Play" button. (v7) [Checkin: comment 23]
Comment 22 neil@parkwaycc.co.uk 2011-03-28 01:39:57 PDT
Comment on attachment 522277 [details] [diff] [review]
Changed 'Preview buton' to "Play" button. (v7) [Checkin: comment 23]

>+<!ENTITY playButton.label               "Play">
>+<!ENTITY playButton.accesskey           "l">
I guess we don't have much of a choice of access keys...
Comment 23 Jens Hatlak (:InvisibleSmiley) 2011-03-29 12:46:33 PDT
Comment on attachment 522277 [details] [diff] [review]
Changed 'Preview buton' to "Play" button. (v7) [Checkin: comment 23]

http://hg.mozilla.org/comm-central/rev/d06d41cd2ccf

Note You need to log in before you can comment on or make changes to this bug.